curl --request PUT \
--url https://platform.kodexa.ai/api/prompts/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"changeSequence": 123,
"deprecated": true,
"extensionPackRef": "<string>",
"metadata": null,
"name": "<string>",
"orgSlug": "<string>",
"organization": {
"id": "<string>"
},
"publicAccess": true,
"ref": "<string>",
"slug": "<string>",
"template": true,
"type": "<string>",
"uri": "<string>",
"yamlSource": "<string>"
}
'import requests
url = "https://platform.kodexa.ai/api/prompts/{id}"
payload = {
"changeSequence": 123,
"deprecated": True,
"extensionPackRef": "<string>",
"metadata": None,
"name": "<string>",
"orgSlug": "<string>",
"organization": { "id": "<string>" },
"publicAccess": True,
"ref": "<string>",
"slug": "<string>",
"template": True,
"type": "<string>",
"uri": "<string>",
"yamlSource": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changeSequence: 123,
deprecated: true,
extensionPackRef: '<string>',
metadata: null,
name: '<string>',
orgSlug: '<string>',
organization: {id: '<string>'},
publicAccess: true,
ref: '<string>',
slug: '<string>',
template: true,
type: '<string>',
uri: '<string>',
yamlSource: '<string>'
})
};
fetch('https://platform.kodexa.ai/api/prompts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"deleted": true,
"deprecated": true,
"id": "<string>",
"metadata": null,
"name": "<string>",
"organizationId": "<string>",
"publicAccess": true,
"slug": "<string>",
"template": true,
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"deleteUserEmail": "<string>",
"deleteUserId": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"extensionPackRef": "<string>",
"orgSlug": "<string>",
"organization": {
"id": "<string>"
},
"ref": "<string>",
"type": "<string>",
"uri": "<string>",
"yamlSource": "<string>"
}Update Prompts
Updates an existing Prompts. Prompts are templates used by AI assistants for document processing.
Authorizations
API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.
Path Parameters
Unique identifier (UUID) of the resource.
Body
Prompt metadata defines a prompt template used by AI assistants for document processing.
Optimistic locking version number.
Whether this prompt is deprecated.
Display name of the prompt.
Show child attributes
Show child attributes
Whether the prompt is publicly accessible.
URL-friendly identifier for the prompt.
Whether this prompt is a template.
Computed resource URI (scheme://orgSlug/slug), present on serialized responses.
Response
Updated Prompts
Prompt metadata defines a prompt template used by AI assistants for document processing.
Optimistic locking version number.
Timestamp when the prompt was created.
Whether this prompt is deprecated.
Unique identifier (UUID) for the prompt.
Display name of the prompt.
Whether the prompt is publicly accessible.
URL-friendly identifier for the prompt.
Whether this prompt is a template.
Timestamp when the prompt was last updated.
Secondary UUID identifier.
Show child attributes
Show child attributes
Computed resource URI (scheme://orgSlug/slug), present on serialized responses.
